{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "Find Marker Alignments, gather",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "gpx_make_outputs",
            "arguments": [
                "-unzip",
                "*",
                "-num-partitions",
                "1"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_make_outputs.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blast.#.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_make_outputs.cwl/output_name"
                }
            ],
            "id": "#gpx_make_outputs.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "blast.*.asn"
                    },
                    "id": "#gpx_make_outputs.cwl/blast_align"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "Find Marker Alignments, scatter",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.CladeMarkers_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-affinity",
                "subject",
                "-max-batch-length",
                "10000",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit.cwl/CladeMarkers_asn_cache"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.CladeMarkers_asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blastdb",
                    "inputBinding": {
                        "prefix": "-db",
                        "valueFrom": "$(inputs.blastdb_dir.path)/$(inputs.blastdb)"
                    },
                    "id": "#gpx_qsubmit.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Find Marker Alignments, execute\"",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.CladeMarkers_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "tblastn_wnode",
            "arguments": [
                "-backlog",
                "1",
                "-comp_based_stats",
                "F",
                "-db_gencode",
                "4",
                "-delay",
                "0",
                "-evalue",
                "0.001",
                "-matrix",
                "BLOSUM80",
                "-max-jobs",
                "1",
                "-seg",
                "22 2.2 2.5",
                "-soft_masking",
                "true",
                "-threshold",
                "18",
                "-word_size",
                "6",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tblastn_wnode.cwl/CladeMarkers_asn_cache"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.CladeMarkers_asn_cache.basename)"
                    },
                    "id": "#tblastn_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ncbi-gpipe/pgap/0932e4d778ea981cdc19702eab7fc8d572fe8216/clade_assign/jobs.xml"
                    },
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#tblastn_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#tblastn_wnode.cwl/output_dir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#tblastn_wnode.cwl/outdir"
                }
            ],
            "id": "#tblastn_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "Find Marker Alignments",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/CladeMarkers_asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#main/blastdb_dir"
                },
                {
                    "type": "File",
                    "id": "#main/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gpx_make_outputs/blast_align",
                    "id": "#main/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_make_outputs.cwl",
                    "in": [
                        {
                            "source": "#main/tblastn_wnode/outdir",
                            "id": "#main/gpx_make_outputs/input_path"
                        }
                    ],
                    "out": [
                        "#main/gpx_make_outputs/blast_align"
                    ],
                    "id": "#main/gpx_make_outputs"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#main/CladeMarkers_asn_cache",
                            "id": "#main/gpx_qsubmit/CladeMarkers_asn_cache"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": "#main/seqids",
                            "id": "#main/gpx_qsubmit/seqids"
                        }
                    ],
                    "out": [
                        "#main/gpx_qsubmit/jobs"
                    ],
                    "id": "#main/gpx_qsubmit"
                },
                {
                    "run": "#tblastn_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/CladeMarkers_asn_cache",
                            "id": "#main/tblastn_wnode/CladeMarkers_asn_cache"
                        },
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/tblastn_wnode/asn_cache"
                        },
                        {
                            "source": "#main/blastdb_dir",
                            "id": "#main/tblastn_wnode/blastdb_dir"
                        },
                        {
                            "source": "#main/gpx_qsubmit/jobs",
                            "id": "#main/tblastn_wnode/input_jobs"
                        }
                    ],
                    "out": [
                        "#main/tblastn_wnode/outdir"
                    ],
                    "id": "#main/tblastn_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
